
function matSort(matArray, xtraArray)
{
// nach Preis sortieren, Preise sind in den Stufen von 0 bis 18 angegeben,
// wobei 0 das teuerste und 18 das billigste Material darstellt
	var n, k;
	
	temp  = new Array();
	temp2 = new Array();
	if(matArray.length)
	{
		for(myValue = 0; myValue < 19; myValue ++)
		{
			for(k = 0; k < matArray.length; k ++)
			{
				if(parent.parent.dichtMatArray[matArray[k]].preis == myValue)
				{
					arrayPos = temp.length;		// Position im Ergebnis-Array
					temp[arrayPos]  = matArray[k];
					temp2[arrayPos] = xtraArray[k];
					break;
				}
			}
		}
	}
	$merkArray  = temp;
	$merkArray2 = temp2;
}


function selectMat(matArray, xtraArray)
{
	var n, k;
	
	if(!matArray.length)				// Wenn das Array leer ist, wird das
	{									// bergebene Array sofort zurckgeschickt
		$merkArray  = matArray;			// und die Methode beendet
		$merkArray2 = xtraArray;
		return;
	}
	
	// "Zwischenarray" erzeugen, ohne das teuerste und das billigste Material
	temp  = new Array();
	temp2 = new Array();
	for(k = 1; k < matArray.length - 1; k ++)	// 1. und letztes Arrayelement entfernen
	{
		arrayPos = temp.length;		// Position im Ergebnis-Array
		temp[arrayPos]  = matArray[k];
		temp2[arrayPos] = xtraArray[k];
	}
	$merkArray  = temp;
	$merkArray2 = temp2;
	
	// Prioritten suchen
	if($merkArray.length)
	{
		myValue = 9999;
		for(k = 0; k < $merkArray.length; k ++)
		{
			if(parent.parent.dichtMatArray[$merkArray[k]].prior > 0)
				myValue = Math.min(myValue, parent.parent.dichtMatArray[$merkArray[k]].prior);
		}
		if(myValue < 9999)
		{
			for(k = 0; k < $merkArray.length; k ++)
			{
				if(parent.parent.dichtMatArray[$merkArray[k]].prior == myValue)
				{
					temp  = $merkArray[k];
					temp2 = $merkArray2[k];
					break;
				}
			}
		}
		else
		{
			myValue = Math.floor($merkArray.length / 2)	// Mittelwert bilden (abrunden)
			temp  = $merkArray[myValue];
			temp2 = $merkArray2[myValue];
		}
	}
	$merkArray  = temp;
	$merkArray2 = temp2;

	// jetzt das teuerste und billigste Material ergnzen ( 1. und letztes Element im $ergebnis)
	temp  = new Array();
	temp2 = new Array();

	temp[0]  = matArray[0];
	temp2[0] = xtraArray[0];
	temp[1]  = $merkArray;	// An die mittlere Position das Material aus dem Zwischenarray
	temp2[1] = $merkArray2;
	temp[2]  = matArray[matArray.length - 1];
	temp2[2] = xtraArray[xtraArray.length - 1];

	$merkArray  = temp;
	$merkArray2 = temp2;
}


function createText(whichResult)	// Ergebnistexte heraussuchen
{
	var n;
	var textNums;
	var temp;
	var preise;
	var unresolvedCase;
	var mfpCount;
	
	if($ergebnis[4][whichResult].length > 3)
		alert('Zuviele Lsungen in Methode "createText()"');
		
	mfpCount = 0;
	for(n = 0; n < $ergebnis[4][whichResult].length; n ++)
		if(String($xtraInfo[4][whichResult][n][welchMfp]) != "undefined")
			++ mfpCount;
	
	preise = new Array();
	for(n = 0; n < $ergebnis[4][whichResult].length; n ++)		// Preise im Array sammeln
		preise[n] = parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].preis;

	unresolvedCase = 1;
	switch($ergebnis[4][whichResult].length)
	{
		case 3:													// Fall 1 - 4: == 3 Lsungen
			switch(mfpCount)
			{
				case 0:											// alle 3 Lsungen ohne MFP
					textNums = new Array(4, 5, 3);
					unresolvedCase = 0;
					break;
				case 1:											// 2 ohne MFP, 1 mit MFP
					if(preise[2] < preise[0])
					{
						textNums = new Array(0, 3, 1);			// mit MFP teurer als ohne MFP(1)
						unresolvedCase = 0;
					}
					else
					{
						if(preise[2] < preise[1])
						{
							textNums = new Array(0, 3, 7);		// mit MFP teurer als ohne MFP(2)
							unresolvedCase = 0;
						}
						else
						{
							textNums = new Array(0, 3, 2);
							unresolvedCase = 0;
						}
					}
					break;
				case 2:											// 1 ohne MFP, 2 mit MFP
					textNums = new Array();
					textNums[0] = 0;
					if(preise[1] < preise[0])
						textNums[1] = 1;
					else
						textNums[1] = 6;
					if(preise[2] < preise[0])
						textNums[2] = 7;
					else
						textNums[2] = 2;
					unresolvedCase = 0;
					break;
				case 3:											// alle 3 Lsungen mit MFP
					textNums = new Array(1, 6, 2);
					unresolvedCase = 0;
					break;
			}
			break;
		case 2:													// Fall 5 - 7: == 2 Lsungen
			switch(mfpCount)
			{
				case 0:											// beide Lsungen ohne MFP
					textNums = new Array(4, 3);
					unresolvedCase = 0;
					break;
				case 1:											// 1 ohne MFP, 1 mit MFP
					if(preise[1] < preise[0])
						textNums = new Array(0, 1);
					else
						textNums = new Array(0, 2);
					unresolvedCase = 0;
					break;
				case 2:											// beide Lsungen mit MFP
					textNums = new Array(1, 2);
					unresolvedCase = 0;
					break;
			}
			break;
		case 1:													// Fall 8, 9: == 1 Lsung
			if(!mfpCount)
			{
				textNums = new Array();
				textNums[0] = 4;
				unresolvedCase = 0;
			}
			else
			{
				textNums = new Array();
				textNums[0] = 1;
				unresolvedCase = 0;
			}
			break;
	}
	
	if(unresolvedCase)
		alert('Ungelster Fall in "createText()"');
		
	$resTxtNums[whichResult] = textNums;
}


// die abhngigen 2. Funoten ergnzen
function createFootnotes(whichResult)
{
	var n, k;
	
	temp = new Array($ergebnis[4][whichResult].length);
	temp2 = 1;	// erste Ziffer fr die Funoten
	
	for(n = 0; n < $ergebnis[4][whichResult].length; n ++)
	{
		//// hier werden die abhngigen Funoten erzeugt //////////////
		
		if($ergebnis[4][whichResult][n] == 10)			// wenn MatriCS
		{
			for(k = 0; k < parent.parent.$freigabe.length; k ++)
			{
				if(parent.parent.$freigabe[k] == 0)
				{
					if(parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] == -1)
						parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] = 4;
					break;
				}
			}
		}
		if($ergebnis[4][whichResult][n] == 11 ||		// wenn AFM 5
		   $ergebnis[4][whichResult][n] == 12 ||		// wenn AFM 7
		   $ergebnis[4][whichResult][n] == 15)			// wenn AFM 60
		{
			if(parent.parent.$aggregat == 0)
			{
				if(parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] == -1)
					parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] = 5;
			}
			else
			{
				if(parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] == -1)
					parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] = 1;
			}
		}
		///////////////////////////////////////////////////////////////
		
		temp3 = new Array(4);
		if(parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[0] != -1)
		{
			temp3[0] = temp2;
			++ temp2;
			temp3[1] = parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[0];
			temp[n] = temp3;
		}
		if(parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1] != -1)
		{
			temp3[2] = temp2;
			++ temp2;
			temp3[3] = parent.parent.dichtMatArray[$ergebnis[4][whichResult][n]].footnote[1];
			temp[n] = temp3;
		}
	}

	dichtMatFoot[whichResult] = temp;
}


